# UserCredentials | @supabase/supabase-js
Documentation for @supabase/supabase-js

### Hierarchy

- UserCredentials

## Index

### Properties

- email
- oidc
- password
- phone
- provider
- refreshToken

## Properties

### Optional email

email?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:139

### Optional oidc

oidc?: OpenIDConnectCredentials

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:144

### Optional password

password?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:141

### Optional phone

phone?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:140

### Optional provider

provider?: Provider

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:143

### Optional refreshToken

refreshToken?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:142

Generated using TypeDoc